Name:           perlbrew
Version:        0.28
Release:        1%{?dist}
Summary:        Manage perl installations in your $HOME
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/App-perlbrew/
Source0:        http://www.cpan.org/authors/id/G/GU/GUGOD/App-perlbrew-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.0
BuildRequires:  perl(Devel::PatchPerl)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path::Tiny)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::All)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Output)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Devel::PatchPerl) >= 0.26
Requires:       curl

# maybe someone expects to find
Provides:       perl-App-perlbrew = %{version}-%{release}

%{?perl_default_filter}

%description
perlbrew is a program to automate the building and installation of perl in
the users HOME. At the moment, it installs everything to ~/perl5/perlbrew,
and requires you to tweak your PATH by including a bashrc/cshrc file it
provides. You then can benefit from not having to run 'sudo' commands to
install cpan modules because those are installed inside your HOME too. It's
almost like an isolated perl environments.

%prep
%setup -q -n App-perlbrew-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
# no support for subtests in EPEL Test-Simple
rm t/installation.t
# no Test::Spec (yet)
rm t/installation2.t
rm t/10.resolve.t
# Test::More in EPEL doesn't understand done_testing; use no_plan instead
for test in t/*.t ; do
  grep -q '^plan tests' $test \
  || sed -i 's/use Test::More;/use Test::More "no_plan";/;/done_testing;/d' $test
done
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sat Aug 13 2011 Iain Arnell <iarnell@gmail.com> 0.28-1
- update to latest upstream version
- better workaround for lack of done_testing

* Wed Jun 08 2011 Iain Arnell <iarnell@gmail.com> 0.24-1
- update to latest upstream version

* Fri Jun 03 2011 Iain Arnell <iarnell@gmail.com> 0.23-1
- update to latest upstream version

* Fri May 27 2011 Iain Arnell <iarnell@gmail.com> 0.22-1
- update to latest upstream version

* Wed May 11 2011 Iain Arnell <iarnell@gmail.com> 0.20-1
- update to latest upstream version

* Wed Mar 16 2011 Iain Arnell <iarnell@gmail.com> 0.18-1
- update to latest upstream version

* Thu Mar 10 2011 Iain Arnell <iarnell@gmail.com> 0.17-1
- update to latest upstream version

* Sun Feb 20 2011 Iain Arnell <iarnell@gmail.com> 0.16-1
- update to latest upstream version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 09 2010 Iain Arnell <iarnell@gmail.com> 0.15-2
- actually apply the older-Test-More patch

* Thu Dec 09 2010 Iain Arnell <iarnell@gmail.com> 0.15-1
- update to latest upstream version
- no longer requires perl(File::Path::Tiny)
- patch tests to work on older Test::More for EPEL

* Thu Dec 02 2010 Iain Arnell <iarnell@gmail.com> 0.14-1
- update to latest upstream version

* Tue Nov 23 2010 Iain Arnell <iarnell@gmail.com> 0.13-1
- update to latest upstream version

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.06-3
- Mass rebuild with perl-5.12.0

* Tue May 18 2010 Iain Arnell <iarnell@gmail.com> 0.06-2
- License is MIT, not "same as Perl"

* Sat May 08 2010 Iain Arnell 0.06-1
- Specfile autogenerated by cpanspec 1.78.
